<?php

namespace Drupal\dkan_reference_fix;

class WidgetRouter extends \Drupal\json_form_widget\WidgetRouter {
  public function getDropdownElement(mixed $element, mixed $spec, mixed $titleProperty = FALSE)
  {
    $element = parent::getDropdownElement($element, $spec, $titleProperty);
    if ($element['#type'] === 'select2') {
      if (isset($spec->allowCreate)) {
        $element['#select2_tags'] = $spec->allowCreate;
      }
    }
    return $element;
  }
}
