## INTRODUCTION

The DKAN reference fix module addresses two issues with DKAN references:
- see https://github.com/GetDKAN/dkan/issues/4298 for details.
- see https://github.com/GetDKAN/dkan/issues/3995 for details

If these issue gets fixed, this module would not be needed any longer and
can be removed.

## REQUIREMENTS

[DKAN](https://github.com/GetDKAN/dkan)

a patch for DKAN should be installed automatically to make some methods
protected instead of private (see composer.json)

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.
DKAN module needs to be enabled.
This needs to be done manually due to this [issue](https://github.com/GetDKAN/dkan/discussions/4149)

## POST-INSTALLATION
If you have referenced entities (i. e. Publishers) already, you will
need to edit and save them once to make this fix work.

If you do not want to allow automatic creation as described
in https://github.com/GetDKAN/dkan/issues/3995, you need to set
the allowCreate value in schema.ui to "false"

## CONFIGURATION
no configuration needed.

## MAINTAINERS

Current maintainers:

- Stefan Korn - https://www.drupal.org/u/stefankorn

